=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/editorconfig/editorconfig-core-c/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@+tests-$1/,\
dversionmangle=auto,\
component=tests \
https://github.com/editorconfig/editorconfig-core-test/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group
