=== debian/changelog ===
editorconfig-core (0.12.10+~0.17.1-3) unstable; urgency=medium

  * Automate the versioned manpage symlink to avoid needing to update
    it manually for every new upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 11:59:58 -0500

editorconfig-core (0.12.10+~0.17.1-2) unstable; urgency=medium

  * remove myself as maintainer,
    passing over to surprise team member

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Nov 2025 23:42:41 +0100

editorconfig-core (0.12.10+~0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add patch to avoid using -Werror along with -Wall
  * Run wrap-and-sort -s
  * Convert debian/watch to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 15:37:58 -0500

editorconfig-core (0.12.9+~0.17.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Disable parallel building (Closes: #1062397) (LP: #2124947)

  [ Pablo Lucas ]
  * debian/control: Bump Standards-Version to 4.7.2
  * debian/copyright: Improve tests directory reference on copyright
  * debian/editorconfig.links: Update version to generate a correct
    manpage symbolic link

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 14:52:06 -0500
