=== debian/control ===
--- 
+++ 
@@ -2,27 +2,24 @@
 Section: libs
 Priority: optional
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-pkgkde-symbolshelper,
  cmake,
  d-shlibs,
- dh-sequence-pkgkde-symbolshelper,
- debhelper-compat (= 13),
  doxygen,
+ libjs-jquery,
  libpcre2-dev,
- libjs-jquery,
- pkgconf,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Standards-Version: 4.7.0
+ pkgconf
+Maintainer: Jeremy Bícha <jbicha@ubuntu.com>
+Uploaders: Vasudev Kamath <vasudev@debian.org>
+Standards-Version: 4.7.2
 Homepage: https://editorconfig.org/
 Vcs-Git: https://salsa.debian.org/debian/editorconfig-core.git
 Vcs-Browser: https://salsa.debian.org/debian/editorconfig-core
-Rules-Requires-Root: no
 
 Package: libeditorconfig0
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: coding style indenter across editors - library
  EditorConfig helps developers define and maintain
@@ -42,7 +39,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libeditorconfig0 (= ${binary:Version}),
+Depends:
+ libeditorconfig0 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends}
 Suggests: editorconfig-doc
@@ -63,8 +61,7 @@
 Package: editorconfig
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: coding style indenter for all editors - commandline tools
  This package helps developers define and maintain
  consistent coding styles between different editors and IDEs.
@@ -84,8 +81,7 @@
 Package: editorconfig-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
- libjs-jquery,
+Depends: libjs-jquery, ${misc:Depends}
 Description: coding style indenter across editors - documentation
  EditorConfig helps developers define and maintain
  consistent coding styles between different editors and IDEs.
