=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# This variable is the part of the "upstream" version number before the +
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d+ -f1)
+
+# https://launchpad.net/bugs/2124947
 %:
 	dh $@ --no-parallel
 
@@ -25,3 +29,6 @@
 		--override s/libeditorconfig0-dev/libeditorconfig-dev/ \
 		debian/libeditorconfig-dev.substvars \
 		debian/tmp/usr/lib/*/*.so
+
+execute_after_dh_link:
+	dh_link -peditorconfig usr/share/man/man1/editorconfig.1.gz usr/share/man/man1/editorconfig-$(UPSTREAM_VERSION).gz
