=== debian/tests/control ===
Test-Command: echo "ok"
Depends: @builddeps@
Restrictions: build-needed
