=== debian/watch ===
Version: 5
# check: uscan --report
# update: gbp import-orig --uscan --upstream-vcs-tag=vX.Y.Z

Template: GitHub
Owner: editorconfig
Project: editorconfig-core-c
Version-Schema: group

Component: tests
Template: GitHub
Owner: editorconfig
Project: editorconfig-core-test
Version-Schema: group
